QGIS Application - Feature request #2735
fTools: random selection issues
2010-05-19 11:44 PM - Paolo Cavallini

Status: Closed
Priority: Low
Assignee: cfarmer -
Category: Python plugins

Pull Request or Patch supplied:
Easy fix?: No

Resolution: fixed
Copied to github as #: 12795

Description

The fTools selection tools have problems:

- selecting a number of features does not work (% is ok)

- stratified selection throws an error: Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/fTools/tools/doSubsetSelect.py”, line 79, in accept self.compute(inVect, uidField, value, perc,

self.progressBar) File "/usr/share/qgis/python/plugins/fTools/tools/doSubsetSelect.py", line 107, in compute if atMap[index] ==

QVariant(i): [[KeyError]]: 9

Versione Python: 2.6.5 (r265:79063, Mar 18 2010, 23:59:47) [GCC 4.4.3]

Associated revisions

Revision bc166a8e - 2010-07-01 12:49 AM - cfarmer -

patch from alex to fix #2735

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13859 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 9060b5a9 - 2010-07-01 12:49 AM - cfarmer -

patch from alex to fix #2735

git-svn-id: http://svn.osgeo.org/qgis/trunk@13859 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-06-11 10:23 AM - Paolo Cavallini

I think we cannot release 1.5 with this broken tool. Looks an easy fix

#2 - 2010-06-22 10:23 AM - Alexander Bruy

Added patch to fix first issue (selecting a number of features)

#3 - 2010-06-30 03:50 PM - cfarmer -
- Resolution set to fixed
http://svn.osgeo.org/qgis/trunk/qgis@13859
http://svn.osgeo.org/qgis/trunk@13859

- Status changed from Open to Closed

fixed in commit:9060b5a9 (SVN r13860)

#4 - 2010-07-02 08:26 AM - Paolo Cavallini
- Resolution deleted (fixed)
- Status changed from Closed to Feedback
Tested again on commit:cc8ba684 (SVN r13876), same error:
An error has occured while executing Python code:
Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/fTools/tools/doSubsetSelect.py", line 79, in accept
self.compute(inVect, uidField, value, perc, self.progressBar)
File "/usr/share/qgis/python/plugins/fTools/tools/doSubsetSelect.py", line 107, in compute
if atMap[index] == QVariant(i):
[[KeyError]]: 1
Python version:
2.6.5+ (release26-maint, Jul 12010, 00:00:44)
[GCC 4.4.4]
#5 - 2010-07-03 05:32 PM - Giuseppe Sucameli
Replying to [comment:5 pcav]:
Tested again on commit:cc8ba684 (SVN r13876), same error:
As alexbrui had reported by his attachment message, his patch fixed only the selection by number (the first issue).
I've been searching for the second problem, but | haven't found it yet. | think is very important to fix it ASAP, it blocks the release...
#6 - 2010-07-03 05:45 PM - Giuseppe Sucameli
Attached a patch to fix the random selection within subsets (the second issue).

Now we can finally close this ticket!

#7 - 2010-07-04 11:04 AM - cfarmer -
- Resolution set to fixed
- Status changed from Feedback to Closed

Apologies for delay in fixing final issue! Patch applied in commit:771fe9aa (SVN r13886).

Thanks to brushtyler!
Carson

#8 - 2010-07-13 10:56 PM - Paolo Cavallini

Checked, it works for me now.

Files
fix_2735.diff 1.45KB 2010-06-22 Alexander Bruy
fix_ 2735_selection_within_subset.diff 1.74 KB 2010-07-03 Giuseppe Sucameli
